#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
Summary:	pekwm - based on the aewm++ window manager
Summary(pl.UTF-8):	pekwm - zarządca okien oparty na aewm++
Name:		pekwm
Version:	0.1.17
Release:	2
License:	GPL v2
Group:		X11/Window Managers
Source0:	http://www.pekwm.org/projects/pekwm/files/%{name}-%{version}.tar.bz2
# Source0-md5:	514c04ff1c6123635c00e57443b5e86f
Source1:	%{name}.desktop
Source2:	%{name}-xsession.desktop
URL:		http://pekwm.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXrandr-devel
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11
%define		_deskdir	/usr/share/gnome/wm-properties
%define		_xdeskdir	%{_datadir}/xsessions

%description
pekwm is a small, fast, functional and flexible window manager.

%description -l pl.UTF-8
pekwm jest małym, szybkim, funkcjonalnym i elastycznym zarządcą okien.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-debug \
	--enable-image-jpeg \
	--enable-image-png \
	--enable-image-xpm \
	--enable-shape \
	--enable-xft \
	--enable-xinerama \
	--enable-xrandr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install\
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_deskdir},%{_xdeskdir}}
%{?with_gnome2:install %{SOURCE1} $RPM_BUILD_ROOT%{_deskdir}}
install %{SOURCE2} $RPM_BUILD_ROOT%{_xdeskdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/scripts
%attr(755,root,root) %{_datadir}/%{name}/scripts/*
%{?with_gnome2:%{_deskdir}/%{name}.desktop}
%{_xdeskdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pekwm.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b741280
- release 2 (by relup.sh)

* Thu Jul 25 2013 Jan Palus <jan.palus@gmail.com> ab91f22
- up to 0.1.17

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0877ed3
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f40bb34
- release 2

* Mon Aug 15 2011 Jan Palus <jan.palus@gmail.com> dd326e2
- up to 0.1.13
- url updated

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 5bea0a9
- renamed gnome bcond

* Wed Jul 27 2011 Jan Rękorajski <baggins@pld-linux.org> 9cb21ab
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> fe40123
- BR: pkgconfig

* Tue Jun 08 2010 Jan Palus <jan.palus@gmail.com> 74b2bbd
- up to 0.1.12
- add ac/am
- xorg BRs
- remove xinerama bcond, build with xinerama support by default

* Thu Sep 18 2008 Patryk Zawadzki <patrys@room-303.com> 0667d47
- move wm-properties
- rel 2

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 06715b8
- hack to get somehow more sane source file name

* Sun Jan 06 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> f50ce25
- 0.1.6

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 017683d
- typos

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 1496a7e
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6f28d9a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d4bd608
- converted to UTF-8

* Wed Aug 23 2006 havner <havner@pld-linux.org> 27dce03
- [mass] do not require xinitrc-ng for window managers /usr/share/xsessions
  is in filesystem.spec and no xinitrc is required for wm to run.

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7bdaa01
- orphaned, outdated

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 1f0c977
- adapterized (sorted %verify flags)

* Fri Sep 16 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> e306c08
- 0.1.4pre2

